Subject: Re: [PATCH v3 0/7] arm64: dts: ti: k3-am62a7-sk: Split r5f memory region

From: Mathieu Poirier <[email-masked]>
Date: Mon, 30 Mar 2026 08:56:21 -0600

On Wed, Mar 18, 2026 at 04:13:06PM +0100, Markus Schneider-Pargmann (TI) wrote:
> Hi,
> 
> Split the firmware memory region in more specific parts so it is better
> described where which information is stored. Specifically the LPM metadata
> region is important as bootloader software like U-Boot has to know where
> that data is to be able to read that data and resume from RAM.
> 
> IO+DDR is a deep sleep state in which a few pins are set to be sensitive
> for wakeup while the DDR is kept in self refresh. Everything else is
> powered off.
> 
> The changes in this series were suggested as part of the IO+DDR u-boot series:
>   https://lore.kernel.org/r/[email-masked]
> 
> There are currently no real users of the memory-region that is split in
> this series. The size of the memory-region in total stays the same.
> The new layout is derived from the software running on the r5f
> processor:
>   https://github.com/TexasInstruments/mcupsdk-core-k3/blob/k3_main/examples/drivers/ipc/ipc_rpmsg_echo_linux/am62ax-sk/r5fss0-0_freertos/ti-arm-clang/linker.cmd#L172
>   https://github.com/TexasInstruments/mcupsdk-core-k3/blob/k3_main/source/drivers/device_manager/sciclient.h#L459
> 
> Additionally the two important devicetree nodes for resuming from IO+DDR
> have the bootph-pre-ram flag added as this data needs to be read before
> the RAM is in use.
> 
> Best
> Markus
> 
> Signed-off-by: Markus Schneider-Pargmann (TI) <[email-masked]>
> ---
> Changes in v3:
> - Squash the enforcement of the memory-region-names requirement in the
>   patch adding the memory-region-names, as suggested.
> - Link to v2: https://lore.kernel.org/r/[email-masked]
> 
> Changes in v2:
> - Make memory-region-names required if memory-region is present
> - Fixup memory-region and memory-region-names conditions. Require either
>   2 or 6 regions for memory-region and memory-region-names
> - Reword and restructure the binding documentation for memory-region and
>   memory-region-names
> - Add memory-region-names to all uses of memory-region
> - Link to v1: https://lore.kernel.org/r/[email-masked]
> 
> ---
> Markus Schneider-Pargmann (TI) (7):
>       dt-bindings: remoteproc: k3-r5f: Split up memory regions
>       dt-bindings: remoteproc: k3-r5f: Add memory-region-names

I have picked-up the above two.  The .dtsi files need to go through the TI
tree.

Thanks,
Mathieu

>       arm64: dts: ti: k3: Use memory-region-names for r5f
>       arm64: dts: ti: k3-am62a7-sk: Split r5f memory region
>       arm64: dts: ti: k3-am62p5-sk: Split r5f memory region
>       arm64: dts: ti: k3-am62a7-sk: Add r5f nodes to pre-ram bootphase
>       arm64: dts: ti: k3-am62p5-sk: Add r5f nodes to pre-ram bootphase
> 
>  .../bindings/remoteproc/ti,k3-r5f-rproc.yaml       | 55 ++++++++++++++++++----
>  .../arm64/boot/dts/ti/k3-am62-ti-ipc-firmware.dtsi |  1 +
>  .../boot/dts/ti/k3-am62a-ti-ipc-firmware.dtsi      |  2 +
>  arch/arm64/boot/dts/ti/k3-am62a7-sk.dts            | 42 ++++++++++++++++-
>  .../boot/dts/ti/k3-am62p-ti-ipc-firmware.dtsi      |  2 +
>  arch/arm64/boot/dts/ti/k3-am62p5-sk.dts            | 42 ++++++++++++++++-
>  .../arm64/boot/dts/ti/k3-am64-ti-ipc-firmware.dtsi |  4 ++
>  .../arm64/boot/dts/ti/k3-am65-ti-ipc-firmware.dtsi |  2 +
>  .../boot/dts/ti/k3-j7200-ti-ipc-firmware.dtsi      |  4 ++
>  .../boot/dts/ti/k3-j721e-ti-ipc-firmware.dtsi      |  6 +++
>  .../boot/dts/ti/k3-j721s2-ti-ipc-firmware.dtsi     |  6 +++
>  .../boot/dts/ti/k3-j722s-ti-ipc-firmware.dtsi      |  3 ++
>  .../k3-j784s4-j742s2-ti-ipc-firmware-common.dtsi   |  8 ++++
>  13 files changed, 163 insertions(+), 14 deletions(-)
> ---
> base-commit: 6de23f81a5e08be8fbf5e8d7e9febc72a5b5f27f
> change-id: 20260210-topic-am62a-ioddr-dt-v6-19-0da7712081d7
> 
> Best regards,
> -- 
> Markus Schneider-Pargmann (TI) <[email-masked]>
>